package com.xinelu.common.enums;

import lombok.Getter;

/**
 * 发布状态枚举类
 *
 * @author haown
 * @date 2024-04-08
 */
@Getter
public enum ReleaseStatusEnum {

    /**
     * 已发布
     */
    PUBLISHED("PUBLISHED"),

    /**
     * 未发布
     */
    UNPUBLISHED("UNPUBLISHED"),

    /**
     * 全部
     */
    ALL("ALL"),

    /**
     * 撤销
     */
    REVOKE("REVOKE"),

    ;
    final private String info;

    ReleaseStatusEnum(String info) {
        this.info = info;
    }
}
